Bug 517649 - Changes for lowering capabilities project
Changes for lowering capabilities project
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 519823
  Show dependency treegraph
 
Reported: 2009-08-15 12:42 EDT by Steve Grubb
Modified: 2009-10-07 10:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-22 06:22:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to drop capabilities (1.95 KB, patch)
2009-08-15 12:42 EDT, Steve Grubb
no flags Details | Diff
Patch to drop capabilities (1.95 KB, patch)
2009-08-15 17:33 EDT, Steve Grubb
no flags Details | Diff

  None (edit)
Description Steve Grubb 2009-08-15 12:42:41 EDT
Created attachment 357544 [details]
Patch to drop capabilities

Description of problem:
As part of the lowering capabilities project, we should drop all unnecessary capabilities in dhclient.
Comment 1 Steve Grubb 2009-08-15 17:33:13 EDT
Created attachment 357550 [details]
Patch to drop capabilities

Forgot to clear bounding set in previous patch.
Comment 2 David Cantrell 2009-08-18 21:22:54 EDT
Patch is in dhcp-4.1.0p1-5.fc12.  Thanks.
Comment 3 Steve Grubb 2009-08-20 16:23:38 EDT
Thanks for applying the patch. I should have mentioned that you need to add a BuildRequires: libcap-ng-devel to the spec file so that configure detects the library and swings the code in. Do you mind respinning with that addition? Thanks.
Comment 4 David Cantrell 2009-08-22 06:22:23 EDT
dhcp-4.1.0p1-6.fc12 now includes a BuildRequires for libcap-ng-devel.

Note You need to log in before you can comment on or make changes to this bug.